> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all images information.

> Get the image's information with all the attributes.

## OpenAPI

````json GET /v1/builds
{
  "info": {
    "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.",
    "version": "2.0.0",
    "title": "Confidential Computing Manager",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    }
  },
  "paths": {
    "/v1/builds": {
      "get": {
        "tags": [
          "Build"
        ],
        "summary": "Get all images information.",
        "description": "Get the image's information with all the attributes.",
        "operationId": "getAllBuilds",
        "x-auth-resource": "Reader,Writer,Manager",
        "parameters": [
          {
            "name": "all_search",
            "in": "query",
            "description": "Search on all fields(docker image name, app name, mrenclave, mrsigner, app output image name).",
            "required": false,
            "type": "string"
          },
          {
            "name": "docker_image_name",
            "in": "query",
            "description": "Search on docker image name or app's output image name.",
            "required": false,
            "type": "string"
          },
          {
            "name": "config_id",
            "in": "query",
            "description": "Search builds with access to application config id.",
            "required": false,
            "type": "string"
          },
          {
            "$ref": "#/parameters/BuildDeploymentStatusType"
          },
          {
            "$ref": "#/parameters/BuildStatusType"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Maximum numbers of images to return.",
            "required": false,
            "type": "integer"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "Number of images to skip from start.",
            "required": false,
            "type": "integer"
          },
          {
            "name": "sort_by",
            "in": "query",
            "description": "Sort fields. In the format of key1:ASC,key2:DESC,key3:DESC",
            "required": false,
            "type": "string"
          },
          {
            "name": "filter",
            "in": "query",
            "description": "Filter to use for items, currently supports list of groups",
            "required": false,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Search result for image objects.",
            "schema": {
              "$ref": "#/definitions/GetAllBuildsResponse"
            }
          }
        },
        "security": [
          {
            "bearerToken": []
          }
        ]
      }
    }
  }
}
````

